Page MenuHomePhabricator

1.31.0-wmf.2 deployment blockers
Closed, ResolvedPublicRelease

Details

2017 week 40 1.31-wmf.2 Changes wmf/1.31.0-wmf.2

This MediaWiki Train Deployment is scheduled for the week of Monday, October 2nd:

Monday October 2ndTuesday, October 3rdWednesday, October 4thThursday, October 5thFriday
SWAT deployments only.Branch wmf.2 and deploy to Group 0 Wikis.Deploy wmf.2 to Group 1 Wikis.Deploy wmf.2 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.2 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.31.0-wmf.1
Next: 1.31.0-wmf.3

Event Timeline

mmodell created this task.Aug 28 2017, 4:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 28 2017, 4:55 PM
demon claimed this task.Sep 9 2017, 8:48 PM
greg renamed this task from 1.30.0-wmf.21 deployment blockers to 1.31.0-wmf.2 deployment blockers.Sep 14 2017, 10:57 PM
greg changed Release Version from 1.30.0-wmf.21 to 1.31.0-wmf.2.
mmodell claimed this task.Sep 25 2017, 4:14 PM
mmodell added a subscriber: demon.

Mentioned in SAL (#wikimedia-operations) [2017-10-04T19:25:19Z] <twentyafterfour> Deploying MediaWiki 1.31.0-wmf.2 to Group 1 wikis refs T174358

Change 382215 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.31.0-wmf.2 refs T174358

https://gerrit.wikimedia.org/r/382215

Change 382215 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.31.0-wmf.2 refs T174358

https://gerrit.wikimedia.org/r/382215

Mentioned in SAL (#wikimedia-operations) [2017-10-04T19:55:06Z] <twentyafterfour@tin> rebuilt wikiversions.php and synchronized wikiversions files: group1 wikis to 1.31.0-wmf.2 refs T174358

Mentioned in SAL (#wikimedia-operations) [2017-10-04T19:55:55Z] <twentyafterfour@tin> Synchronized php: group1 wikis to 1.31.0-wmf.2 refs T174358 (duration: 00m 48s)

Change 382528 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] all wikis to 1.31.0-wmf.2 refs T174358

https://gerrit.wikimedia.org/r/382528

Change 382528 merged by jenkins-bot:
[operations/mediawiki-config@master] all wikis to 1.31.0-wmf.2 refs T174358

https://gerrit.wikimedia.org/r/382528

Mentioned in SAL (#wikimedia-operations) [2017-10-05T20:10:50Z] <twentyafterfour> Promote all wikis to 1.31.0-wmf.2 refs T174358 (currently there are no blockers and no significant logspam)

Mentioned in SAL (#wikimedia-operations) [2017-10-05T20:11:36Z] <twentyafterfour@tin> rebuilt wikiversions.php and synchronized wikiversions files: all wikis to 1.31.0-wmf.2 refs T174358

Change 382532 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] all wikis to 1.31.0-wmf.1 refs T174358

https://gerrit.wikimedia.org/r/382532

Change 382532 merged by jenkins-bot:
[operations/mediawiki-config@master] all wikis to 1.31.0-wmf.1 refs T174358

https://gerrit.wikimedia.org/r/382532

Mentioned in SAL (#wikimedia-operations) [2017-10-05T20:28:53Z] <twentyafterfour@tin> rebuilt wikiversions.php and synchronized wikiversions files: all wikis to 1.31.0-wmf.1 refs T174358

Change 382612 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] all wikis to 1.31.0-wmf.2 refs T174358

https://gerrit.wikimedia.org/r/382612

Change 382612 merged by jenkins-bot:
[operations/mediawiki-config@master] all wikis to 1.31.0-wmf.2 refs T174358

https://gerrit.wikimedia.org/r/382612

Mentioned in SAL (#wikimedia-operations) [2017-10-05T21:35:27Z] <twentyafterfour@tin> rebuilt wikiversions.php and synchronized wikiversions files: all wikis to 1.31.0-wmf.2 refs T174358

mmodell closed this task as Resolved.Oct 5 2017, 11:50 PM